Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Interface LoggerFactory

    public interface LoggerFactory

Implement this interface to create new instances of Logger or a sub-class of Logger.

See `examples/subclass/MyLogger.java` for an example.

Since:
  version 0.8.5
Author:
  Ceki Gülcü

Method Summary
`Logger` | `makeNewLoggerInstance(String name)`

Method Detail

### makeNewLoggerInstance

    Logger makeNewLoggerInstance(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.